summaryrefslogtreecommitdiff
path: root/org.handhelds.familiar/packages/classpath/files/jikes-classpath.sh
diff options
context:
space:
mode:
Diffstat (limited to 'org.handhelds.familiar/packages/classpath/files/jikes-classpath.sh')
-rw-r--r--org.handhelds.familiar/packages/classpath/files/jikes-classpath.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/org.handhelds.familiar/packages/classpath/files/jikes-classpath.sh b/org.handhelds.familiar/packages/classpath/files/jikes-classpath.sh
new file mode 100644
index 0000000..b27f53c
--- /dev/null
+++ b/org.handhelds.familiar/packages/classpath/files/jikes-classpath.sh
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+
+if [ -r DATADIR/classpath/glibj.zip ]; then
+ jikes -bootclasspath DATADIR/classpath/glibj.zip "$@"
+else
+ echo
+ echo "----------- ERROR -----------"
+ echo "Cannot find/read classpath classes. Please report."
+ echo
+ exit 1
+fi